import 'package:json_annotation/json_annotation.dart';

/// Тип проверки карты
enum CheckType {
  /// NO – сохранить карту без проверок. Rebill ID для рекуррентных платежей не возвращается.
  @JsonValue('NO')
  no,

  /// HOLD – при сохранении сделать списание и затем отмену на 1 руб.
  /// RebillID для рекуррентных платежей возвращается в ответе.
  @JsonValue('HOLD')
  hold,

  /// 3DS – при сохранении карты выполнить проверку 3DS.
  /// Если карта поддерживает 3DS, выполняется списание и последующая отмена на 1 руб.
  @JsonValue('3DS')
  threeDS,

  /// 3DSHOLD – при привязке карты выполнить проверку поддержки картой 3DS.
  /// Если карта поддерживает 3DS, выполняется списание и последующая отмена на 1 руб.
  /// Если карта не поддерживает 3DS, выполняется списание и последующая отмена на произвольную сумму от 100 до 199 копеек.
  /// Клиент будет перенаправлен на страницу для ввода списанной суммы, где должен корректно указать случайную сумму
  @JsonValue('3DSHOLD')
  threeDSHold,
}
